aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorng0 <ng0@n0.is>2019-12-02 17:34:07 +0000
committerng0 <ng0@n0.is>2019-12-02 17:34:07 +0000
commit339d7a7d8ca789f9777501c3092e5c7ea0c4850a (patch)
tree5110bf9188f3c0c6d102cd4bf45d2325a5ff4136
parent79ff68acae7e4774881d6bc53fc5c639da4a2e7b (diff)
parentfdf8c95a33fe6c81c93cd17ed7a38b8b55df7d54 (diff)
downloadgnunet-netbsd-support.tar.gz
gnunet-netbsd-support.zip
Merge branch 'master' into netbsd-supportnetbsd-support
-rw-r--r--ChangeLog33
-rw-r--r--Makefile.am34
-rw-r--r--bin/Makefile.am6
-rwxr-xr-xbin/dosubst.awk47
-rw-r--r--configure.ac33
-rw-r--r--contrib/scripts/.gitignore1
-rw-r--r--contrib/scripts/Makefile.am24
-rwxr-xr-xcontrib/scripts/check-texinfo.awk.in59
-rw-r--r--contrib/scripts/gnunet-logread/Makefile.am14
-rwxr-xr-xcontrib/scripts/gnunet-logread/gnunet-logread.in2
-rw-r--r--doc/man/Makefile.am8
-rwxr-xr-xdoc/man/produce_html.sh.in4
-rw-r--r--src/arm/Makefile.am6
-rw-r--r--src/arm/test_gnunet_arm.py.in2
-rw-r--r--src/consensus/Makefile.am4
-rw-r--r--src/consensus/consensus-simulation.py.in2
-rw-r--r--src/dht/Makefile.am8
-rw-r--r--src/dht/test_dht_tools.py.in4
-rw-r--r--src/exit/Makefile.am6
-rw-r--r--src/fs/Makefile.am10
-rwxr-xr-xsrc/fs/test_gnunet_fs_idx.py.in2
-rwxr-xr-xsrc/fs/test_gnunet_fs_psd.py.in2
-rwxr-xr-xsrc/fs/test_gnunet_fs_rec.py.in2
-rw-r--r--src/gns/Makefile.am9
-rw-r--r--src/gns/gnunet-gns-proxy-setup-ca.in20
-rw-r--r--src/gns/gnunet-gns.c8
-rwxr-xr-xsrc/gns/test_gnunet_gns.sh.in6
-rw-r--r--src/integration-tests/Makefile.am20
-rw-r--r--src/integration-tests/gnunet_pyexpect.py.in2
-rw-r--r--src/integration-tests/gnunet_testing.py.in2
-rwxr-xr-xsrc/integration-tests/test_integration_bootstrap_and_connect.py.in2
-rwxr-xr-xsrc/integration-tests/test_integration_clique.py.in2
-rwxr-xr-xsrc/integration-tests/test_integration_disconnect.py.in2
-rwxr-xr-xsrc/integration-tests/test_integration_disconnect_nat.py.in2
-rwxr-xr-xsrc/integration-tests/test_integration_reconnect.py.in2
-rwxr-xr-xsrc/integration-tests/test_integration_reconnect_nat.py.in2
-rw-r--r--src/peerinfo-tool/Makefile.am4
-rwxr-xr-xsrc/peerinfo-tool/test_gnunet_peerinfo.py.in2
-rw-r--r--src/revocation/Makefile.am4
-rw-r--r--src/revocation/test_local_revocation.py.in2
-rw-r--r--src/statistics/Makefile.am6
-rw-r--r--src/statistics/test_gnunet_statistics.py.in2
-rw-r--r--src/transport/gnunet-transport-certificate-creation.in4
43 files changed, 281 insertions, 135 deletions
diff --git a/ChangeLog b/ChangeLog
index 6ed48e3e7..3b81e09e3 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,36 @@
1Sun Dec 01 19:31:00 UTC 2019
2 configure: Add --with-gnunet-logread.
3 -ng0
4
5Sun Dec 1 12:26:11 2019 +0100
6 GNS NSS plugin: Reject non-IDNA conforming names and
7 trigger continue with next NSS plugin. -schanzen
8
9Sat Nov 30 23:32:03 2019 +0100
10 GNS NSS plugin: Disabled if called as root. -CG
11
12Sat Nov 30 23:08:49 2019 +0100
13 Fixed #3795: Switched to new PoW for NSE and GNS revocation.
14 Functionality is ifdef guarded for 0.12. -CG
15
16Sat Nov 30 21:05:25 2019 +0100
17 Fixed #5978:
18 Added support for .<zkey> CNAMEs in the GNS resolver. -schanzen
19
20Sat Nov 30 20:27:51 2019 +0100
21 Fixed #5979:
22 Added support for .<zkey> DNS server names in GNS2DNS records.
23 -schanzen
24
25Tue Nov 26 18:26:54 2019 +0100
26 Crypto change: Use Curve25519 for ECDH and tweetnacl where we can.
27 Functionality is ifdef guarded for 0.12. -fdold
28
29Nov 30 15:20:45 2019 +0100
30 Fixed #5922:
31 GNS names are now UTF-8. For DNS, names are converted to IDNA.
32 Functionality is ifdef guarded for 0.12. -schanzen
33
1Wed Oct 30 10:50:00 UTC 2019 34Wed Oct 30 10:50:00 UTC 2019
2 Released gnunet 0.11.8 35 Released gnunet 0.11.8
3 -ng0 36 -ng0
diff --git a/Makefile.am b/Makefile.am
index a5b12bad9..62c46cb2b 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -3,9 +3,9 @@ AM_CPPFLAGS = -I$(top_srcdir)/src/include
3 3
4# only documentation (ALL of the documentation) 4# only documentation (ALL of the documentation)
5if DOCUMENTATION_ONLY 5if DOCUMENTATION_ONLY
6 SUBDIRS = doc 6 SUBDIRS = bin doc
7else 7else
8 SUBDIRS = m4 src po pkgconfig 8 SUBDIRS = m4 bin src po pkgconfig
9endif 9endif
10 10
11# documentation on / off switch (affects all of the documentation) 11# documentation on / off switch (affects all of the documentation)
@@ -70,31 +70,7 @@ check-python:
70 printf "Running flake8 and 2to3 if detected.\n" 70 printf "Running flake8 and 2to3 if detected.\n"
71 $(top_srcdir)/contrib/scripts/lint/lint-python.sh || true 71 $(top_srcdir)/contrib/scripts/lint/lint-python.sh || true
72 72
73# exception to add: ignore license files. 73if HAVE_AWK
74# exception to add: uref's can go above 79 chars.
75check-texinfo: 74check-texinfo:
76 printf "Running basic texinfo linters\n" 75 @cd $(top_srcdir); find . -type f ! -path '*/.*' -name '*.texi' -print0 | xargs -0 ./contrib/scripts/check-texinfo.awk > $(srcdir)/texinfo_lint.log || true
77 printf "...lines containing tabstops?\n" 2>&1 | tee $(top_srcdir)/doc/handbook/texinfo_handbook.log || true 76endif
78 printf "...lines containing tabstops?\n" 2>&1 | tee $(top_srcdir)/doc/tutorial/texinfo_tutorial.log || true
79 @cd $(top_srcdir)/doc/handbook ; find . -type f ! -path '*/.*' -name '*.texi' -print0 | xargs -0 awk '/\t/ {print FILENAME":"NR":"$$0}' > $(srcdir)/texinfo_handbook.log || true
80 @cd $(top_srcdir)/doc/tutorial ; find . -type f ! -path '*/.*' -name '*.texi' -print0 | xargs -0 awk '/\t/ {print FILENAME":"NR":"$$0}' > $(srcdir)/texinfo_tutorial.log || true
81 printf "...line length over 79 chars?\n" 2>&1 | tee $(top_srcdir)/doc/handbook/texinfo_handbook.log || true
82 @cd $(top_srcdir)/doc/handbook ; find . -type f ! -path '*/.*' -name '*.texi' -print0 | xargs -0 awk 'length>79 {print FILENAME":"NR":"$$0}' > $(srcdir)/texinfo_handbook.log || true
83 printf "...line length over 79 chars?\n" 2>&1 | tee $(top_srcdir)/doc/tutorial/texinfo_tutorial.log || true
84 @cd $(top_srcdir)/doc/tutorial ; find . -type f ! -path '*/.*' -name '*.texi' -print0 | xargs -0 awk 'length>79 {print FILENAME":"NR":"$$0}' > $(srcdir)/texinfo_tutorial.log || true
85 printf "...lines containing macros incompatible with old makeinfo?\n" 2>&1 | tee -a $(top_srcdir)/doc/handbook/texinfo_handbook.log || true
86 @cd $(top_srcdir)/doc/handbook ; find . -type f ! -path '*/.*' -name '*.texi' -print0 | xargs -0 awk '/@geq\{\}/ {print FILENAME":"NR":"$$0}' >> $(srcdir)/texinfo_handbook.log || true
87 printf "...lines containing macros incompatible with old makeinfo?\n" 2>&1 | tee -a $(top_srcdir)/doc/tutorial/texinfo_tutorial.log || true
88 @cd $(top_srcdir)/doc/tutorial ; find . -type f ! -path '*/.*' -name '*.texi' -print0 | xargs -0 awk '/@geq\{\}/ {print FILENAME":"NR":"$$0}' >> $(srcdir)/texinfo_tutorial.log || true
89 printf "...lines containing macros incompatible with texi2mdoc?\n" 2>&1 | tee -a $(top_srcdir)/doc/handbook/texinfo_handbook.log || true
90 @cd $(top_srcdir)/doc/handbook ; find . -type f ! -path '*/.*' -name '*.texi' -print0 | xargs -0 awk '/@footnote\{/ {print FILENAME":"NR":"$$0}' >> $(srcdir)/texinfo_handbook.log || true
91 printf "...lines containing macros incompatible with texi2mdoc?\n" 2>&1 | tee -a $(top_srcdir)/doc/tutorial/texinfo_tutorial.log || true
92 @cd $(top_srcdir)/doc/tutorial ; find . -type f ! -path '*/.*' -name '*.texi' -print0 | xargs -0 awk '/@footnote\{/ {print FILENAME":"NR":"$$0}' >> $(srcdir)/texinfo_tutorial.log || true
93 printf "...lines telling us what is left TODO or to fix?\n" 2>&1 | tee -a $(top_srcdir)/doc/handbook/texinfo_handbook.log || true
94 @cd $(top_srcdir)/doc/handbook ; find . -type f ! -path '*/.*' -name '*.texi' -print0 | xargs -0 awk '/TODO/ {print FILENAME":"NR":"$$0}' >> $(srcdir)/texinfo_handbook.log || true
95 @cd $(top_srcdir)/doc/handbook ; find . -type f ! -path '*/.*' -name '*.texi' -print0 | xargs -0 awk '/XXX/ {print FILENAME":"NR":"$$0}' >> $(srcdir)/texinfo_handbook.log || true
96 printf "...lines telling us what is left TODO or to fix?\n" 2>&1 | tee -a $(top_srcdir)/doc/tutorial/texinfo_tutorial.log || true
97 @cd $(top_srcdir)/doc/tutorial ; find . -type f ! -path '*/.*' -name '*.texi' -print0 | xargs -0 awk '/TODO/ {print FILENAME":"NR":"$$0}' >> $(srcdir)/texinfo_tutorial.log || true
98 @cd $(top_srcdir)/doc/tutorial ; find . -type f ! -path '*/.*' -name '*.texi' -print0 | xargs -0 awk '/XXX/ {print FILENAME":"NR":"$$0}' >> $(srcdir)/texinfo_tutorial.log || true
99 printf "...lines containing a popular typo\n" 2>&1 | tee -a $(top_srcdir)/lint.log || true
100 @cd $(top_srcdir) ; find . -type f ! -path '*/.*' -name '*' -print0 | xargs -0 awk '/wether/ {print FILENAME":"NR":"$$0}' >> $(srcdir)/lint.log || true
diff --git a/bin/Makefile.am b/bin/Makefile.am
new file mode 100644
index 000000000..6c11e26ef
--- /dev/null
+++ b/bin/Makefile.am
@@ -0,0 +1,6 @@
1EXTRA_DIST = \
2 dosubst.awk \
3 grephdr.sh \
4 grepsrc.sh \
5 pogen.sh \
6 rename.sh
diff --git a/bin/dosubst.awk b/bin/dosubst.awk
new file mode 100755
index 000000000..3ed0403dd
--- /dev/null
+++ b/bin/dosubst.awk
@@ -0,0 +1,47 @@
1# Dedicated to the public domain.
2# SPDX-License-Identifier: 0BSD
3#
4# awk script to substitute variables in scripts and applications.
5#
6# You can pass these variables to it in Makefiles or on the
7# commandline:
8# bdir="$(bindir)"
9# py="$(PYTHON)"
10# awkay="$(AWK_BINARY)"
11# pfx="$(prefix)"
12# prl="$(PERL)"
13# sysconfdirectory="$(sysconfdir)"
14# pkgdatadirectory="$(pkgdatadir)"
15
16{
17
18 if (/@bindirectory@/) {
19 gsub("@bindirectory@",bdir) ;
20 }
21
22 if (/@PYTHONEXE@/) {
23 gsub("@PYTHONEXE@",py) ;
24 }
25
26 if (/@AWKEXE@/) {
27 gsub("@AWKEXE@",awkay) ;
28 }
29
30 if (/@SUBSTPREFIX@/) {
31 gsub("@SUBSTPREFIX@",pfx) ;
32 }
33
34 if (/@PERLEXE@/) {
35 gsub("@PERLEXE@",prl) ;
36 }
37
38 if (/@SYSCONFDIR@/) {
39 gsub("@SYSCONFDIR@",sysconfdirectory) ;
40 }
41
42 if (/@PKGDATADIRECTORY@/) {
43 gsub("@PKGDATADIRECTORY@",pkgdatadirectory) ;
44 }
45
46 print $0 ;
47}
diff --git a/configure.ac b/configure.ac
index 53db0bfaf..f6b33dd02 100644
--- a/configure.ac
+++ b/configure.ac
@@ -242,10 +242,42 @@ AM_PATH_PYTHON([3.4],, [:])
242AC_SUBST([PYTHON]) 242AC_SUBST([PYTHON])
243AM_CONDITIONAL([HAVE_PYTHON], [test "$PYTHON" != :]) 243AM_CONDITIONAL([HAVE_PYTHON], [test "$PYTHON" != :])
244 244
245
245# perl 246# perl
246AC_PATH_PROG( PERL, perl, , 247AC_PATH_PROG( PERL, perl, ,
247 $PATH:/usr/local/bin/perl:/usr/bin/:/usr/local/bin ) 248 $PATH:/usr/local/bin/perl:/usr/bin/:/usr/local/bin )
248AC_SUBST([PERL]) 249AC_SUBST([PERL])
250AM_CONDITIONAL([HAVE_PERL], [test -x "$PERL"])
251AS_IF([test -x "$PERL"],
252 [AC_DEFINE_UNQUOTED([HAVE_PERL], [1], [Path to Perl])],
253 [AC_DEFINE_UNQUOTED([HAVE_PERL], [0], [Path to Perl])])
254
255# awk
256AC_PATH_PROGS( AWK_BINARY, [awk gawk], ,$PATH:/usr/bin/:/usr/local/bin )
257AC_SUBST([AWK_BINARY])
258AM_CONDITIONAL([HAVE_AWK], [test -x "$AWK_BINARY"])
259AS_IF([test -x "$AWK_BINARY"],
260 [AC_DEFINE_UNQUOTED([HAVE_AWK], [1], [Path to awk])],
261 [AC_DEFINE_UNQUOTED([HAVE_AWK], [0], [Path to awk])])
262
263# should we install gnunet-logread?
264AC_MSG_CHECKING(whether to install gnunet-logread)
265AC_ARG_WITH([gnunet-logread],
266 [AS_HELP_STRING([--with-gnunet-logread],
267 [Install gnunet-logread])],
268 [logread=${withval}],
269 [logread=no])
270AC_MSG_RESULT($logread)
271AS_IF([test "x$logread" = "xyes"],
272 [AM_CONDITIONAL([GNUNET_LOGREAD], true)
273 AC_DEFINE([GNUNET_LOGREAD],
274 [1],
275 [Installing gnunet-logread])],
276 [AM_CONDITIONAL([GNUNET_LOGREAD],
277 false)
278 AC_DEFINE([GNUNET_LOGREAD],
279 [0],
280 [Not installing gnunet-logread])])
249 281
250# iptables is a soft requirement to run tests 282# iptables is a soft requirement to run tests
251AC_PATH_TARGET_TOOL(VAR_IPTABLES_BINARY, iptables, false) 283AC_PATH_TARGET_TOOL(VAR_IPTABLES_BINARY, iptables, false)
@@ -1800,6 +1832,7 @@ AC_DEFINE_UNQUOTED(VCS_VERSION, [$vcs_version], [VCS revision/hash or tarball ve
1800 1832
1801AC_CONFIG_FILES([ 1833AC_CONFIG_FILES([
1802Makefile 1834Makefile
1835bin/Makefile
1803contrib/Makefile 1836contrib/Makefile
1804contrib/hellos/Makefile 1837contrib/hellos/Makefile
1805contrib/services/Makefile 1838contrib/services/Makefile
diff --git a/contrib/scripts/.gitignore b/contrib/scripts/.gitignore
index 547c89185..3b34b9b69 100644
--- a/contrib/scripts/.gitignore
+++ b/contrib/scripts/.gitignore
@@ -1,2 +1,3 @@
1gnunet-chk.py 1gnunet-chk.py
2removetrailingwhitespace.py 2removetrailingwhitespace.py
3check-texinfo.awk
diff --git a/contrib/scripts/Makefile.am b/contrib/scripts/Makefile.am
index 367e5c4c9..f8b7ec3d1 100644
--- a/contrib/scripts/Makefile.am
+++ b/contrib/scripts/Makefile.am
@@ -9,7 +9,16 @@ noinst_SCRIPTS = \
9 removetrailingwhitespace.py \ 9 removetrailingwhitespace.py \
10 gnunet_pyexpect.py \ 10 gnunet_pyexpect.py \
11 gnunet_janitor.py \ 11 gnunet_janitor.py \
12 gnunet-chk.py 12 gnunet-chk.py \
13 $(awkSCRIPTS)
14
15# FIXME: read into AWK_SCRIPTS autotools builtin.
16if HAVE_AWK
17awkSCRIPTS = \
18 check-texinfo.awk
19else
20awkSCRIPTS =
21endif
13 22
14bin_SCRIPTS = \ 23bin_SCRIPTS = \
15 gnunet-bugreport \ 24 gnunet-bugreport \
@@ -24,13 +33,12 @@ EXTRA_DIST = \
24 $(SCRIPTS) \ 33 $(SCRIPTS) \
25 removetrailingwhitespace.py.in \ 34 removetrailingwhitespace.py.in \
26 pydiffer.py.in \ 35 pydiffer.py.in \
27 gnunet-suidfix 36 gnunet-suidfix \
37 check-texinfo.awk.in
28 38
29CLEANFILES = \ 39CLEANFILES = \
30 $(noinst_SCRIPTS) 40 $(noinst_SCRIPTS)
31 41
32do_subst = $(AWK) -v py="$(PYTHON)" '{gsub("@PYTHONEXE@",py); print $$0}'
33
34# Use SUFFIX Extension rules, they are more portable for every 42# Use SUFFIX Extension rules, they are more portable for every
35# implementation of 'make'. 43# implementation of 'make'.
36# You'll also run into the "'%' is a GNU make extension warning" 44# You'll also run into the "'%' is a GNU make extension warning"
@@ -44,5 +52,11 @@ do_subst = $(AWK) -v py="$(PYTHON)" '{gsub("@PYTHONEXE@",py); print $$0}'
44SUFFIXES = .py.in .py 52SUFFIXES = .py.in .py
45 53
46.py.in.py: 54.py.in.py:
47 $(do_subst) < $< > $@ 55 $(AWK) -v bdir="$(bindir)" -v py="$(PYTHON)" -v awkay="$(AWK_BINARY)" -v pfx="$(prefix)" -v prl="$(PERL)" -v sysconfdirectory="$(sysconfdir)" -v pkgdatadirectory="$(pkgdatadir)" -f $(top_srcdir)/bin/dosubst.awk < $< > $@
48 chmod +x $@ 56 chmod +x $@
57
58if HAVE_AWK
59check-texinfo.awk: check-texinfo.awk.in Makefile
60 $(AWK) -v bdir="$(bindir)" -v py="$(PYTHON)" -v awkay="$(AWK_BINARY)" -v pfx="$(prefix)" -v prl="$(PERL)" -v sysconfdirectory="$(sysconfdir)" -v pkgdatadirectory="$(pkgdatadir)" -f $(top_srcdir)/bin/dosubst.awk < $(srcdir)/check-texinfo.awk.in > check-texinfo.awk
61 chmod +x check-texinfo.awk
62endif
diff --git a/contrib/scripts/check-texinfo.awk.in b/contrib/scripts/check-texinfo.awk.in
new file mode 100755
index 000000000..37e2c9f20
--- /dev/null
+++ b/contrib/scripts/check-texinfo.awk.in
@@ -0,0 +1,59 @@
1#!@AWKEXE@ -f
2#
3# Dedicated to the Public Domain.
4# SPDX-License-Identifier: 0BSD
5#
6# exception to add: ignore license files.
7# exception to add: uref's can go above 79 chars.
8
9
10BEGIN {
11 printf "Running basic texinfo linters\n" ;
12}
13
14{
15 if(/\t/) {
16 printf "...lines containing tabstops?\n" ;
17 print FILENAME":"NR":"$0 ;
18 }
19}
20
21{
22 if(length>79) {
23 printf "...line length over 79 chars?\n" ;
24 print FILENAME":"NR":"$0 ;
25 }
26}
27
28{
29 if(/@geq\{\}/) {
30 printf "...lines containing macros incompatible with old makeinfo?\n" ;
31 print FILENAME":"NR":"$0 ;
32 }
33}
34
35{
36 if (/@footnote\{/) {
37 printf "...lines containing macros incompatible with texi2mdoc?\n" ;
38 print FILENAME":"NR":"$0 ;
39 }
40}
41
42{
43 if (/TODO/) {
44 printf "...lines telling us what is left TODO?\n" ;
45 print FILENAME":"NR":"$0 ;
46 }
47
48 if (/XXX/) {
49 printf "...lines telling us what is left to fix?\n" ;
50 print FILENAME":"NR":"$0 ;
51 }
52}
53
54{
55 if (/wether/) {
56 printf "...lines containing a popular typo\n" ;
57 print FILENAME":"NR":"$0 ;
58 }
59}
diff --git a/contrib/scripts/gnunet-logread/Makefile.am b/contrib/scripts/gnunet-logread/Makefile.am
index 790b58fea..aa92dfe16 100644
--- a/contrib/scripts/gnunet-logread/Makefile.am
+++ b/contrib/scripts/gnunet-logread/Makefile.am
@@ -1,7 +1,7 @@
1# This Makefile.am is in the public domain 1# This Makefile.am is in the public domain
2AM_CPPFLAGS = -I$(top_srcdir)/src/include -I$(top_builddir)/src/include 2AM_CPPFLAGS = -I$(top_srcdir)/src/include -I$(top_builddir)/src/include
3 3
4do_subst = $(AWK) -v py="$(PERL)" '{gsub("@PERLEXE@",py); print $$0}' 4do_subst = $(AWK) -v prl="$(PERL)" -v pfx="$(prefix)" '{if (/@SUBSTPREFIX@/) { gsub("@SUBSTPREFIX@",pfx)}; gsub("@PERLEXE@",prl); print $$0}'
5 5
6SUFFIXES = .in 6SUFFIXES = .in
7 7
@@ -17,9 +17,17 @@ CLEANFILES= \
17 gnunet-logread \ 17 gnunet-logread \
18 gnunet-logread-ipc-sdedit 18 gnunet-logread-ipc-sdedit
19 19
20if GNUNET_LOGREAD
21if HAVE_PERL
22bin_SCRIPTS = \
23 gnunet-logread-ipc \
24 $(CLEANFILES)
25else
20noinst_SCRIPTS = \ 26noinst_SCRIPTS = \
21 $(CLEANFILES) \ 27 gnunet-logread-ipc \
22 gnunet-logread-ipc 28 $(CLEANFILES)
29endif
30endif
23 31
24EXTRA_DIST = \ 32EXTRA_DIST = \
25 gnunet-logread.in \ 33 gnunet-logread.in \
diff --git a/contrib/scripts/gnunet-logread/gnunet-logread.in b/contrib/scripts/gnunet-logread/gnunet-logread.in
index e27c1d3fc..ce588b8e6 100755
--- a/contrib/scripts/gnunet-logread/gnunet-logread.in
+++ b/contrib/scripts/gnunet-logread/gnunet-logread.in
@@ -29,7 +29,7 @@ my %levels = ( NONE => 0, ERROR => 1, WARNING => 2, INFO => 4, DEBUG => 8 );
29 29
30# Message type numbers to names 30# Message type numbers to names
31my %msgtypes; 31my %msgtypes;
32my $prefix = $ENV{GNUNET_PREFIX} || '/usr'; 32my $prefix = $ENV{GNUNET_PREFIX} || '@SUBSTPREFIX@';
33my $filename = "$prefix/include/gnunet/gnunet_protocols.h"; 33my $filename = "$prefix/include/gnunet/gnunet_protocols.h";
34$ipc = $opts{s} || $DEFAULT_SOCKET; 34$ipc = $opts{s} || $DEFAULT_SOCKET;
35 35
diff --git a/doc/man/Makefile.am b/doc/man/Makefile.am
index 601a85555..a0283cf44 100644
--- a/doc/man/Makefile.am
+++ b/doc/man/Makefile.am
@@ -1,11 +1,7 @@
1# This Makefile.am is in the public domain 1# This Makefile.am is in the public domain
2 2
3do_subst = $(SED) -e 's,[@]SYSCONFDIR[@],$(sysconfdir),g'
4
5gnunet.conf.5: gnunet.conf.5.in Makefile 3gnunet.conf.5: gnunet.conf.5.in Makefile
6 $(do_subst) < $(srcdir)/gnunet.conf.5.in > gnunet.conf.5 4 $(AWK) -v bdir="$(bindir)" -v py="$(PYTHON)" -v awkay="$(AWK_BINARY)" -v pfx="$(prefix)" -v prl="$(PERL)" -v sysconfdirectory="$(sysconfdir)" -v pkgdatadirectory="$(pkgdatadir)" -f $(top_srcdir)/bin/dosubst.awk < $(srcdir)/gnunet.conf.5.in > $(srcdir)/gnunet.conf.5
7
8do_subst_pkgdatadir = $(SED) -e 's,[@]pkgdatadir[@],$(pkgdatadir),g'
9 5
10CLEANFILES = gnunet.conf.5 6CLEANFILES = gnunet.conf.5
11 7
@@ -28,7 +24,7 @@ if HAVE_MANDOC
28# I want and that the alternatives are depressing and 24# I want and that the alternatives are depressing and
29# nonfunctional. 25# nonfunctional.
30produce_html.sh: produce_html.sh.in Makefile 26produce_html.sh: produce_html.sh.in Makefile
31 $(do_subst_pkgdatadir) < $(srcdir)/produce_html.sh.in > produce_html.sh 27 $(AWK) -v bdir="$(bindir)" -v py="$(PYTHON)" -v awkay="$(AWK_BINARY)" -v pfx="$(prefix)" -v prl="$(PERL)" -v sysconfdirectory="$(sysconfdir)" -v pkgdatadirectory="$(pkgdatadir)" -f $(top_srcdir)/bin/dosubst.awk < $(srcdir)/produce_html.sh.in > produce_html.sh
32 @chmod +x produce_html.sh 28 @chmod +x produce_html.sh
33 29
34CLEANFILES += produce_html.sh 30CLEANFILES += produce_html.sh
diff --git a/doc/man/produce_html.sh.in b/doc/man/produce_html.sh.in
index 962601513..d2bd768a8 100755
--- a/doc/man/produce_html.sh.in
+++ b/doc/man/produce_html.sh.in
@@ -1,8 +1,8 @@
1#!/bin/sh 1#!/bin/sh
2 2
3if test -e @pkgdatadir@/existence.sh 3if test -e @PKGDATADIRECTORY@/existence.sh
4then 4then
5 . @pkgdatadir@/existence.sh 5 . @PKGDATADIRECTORY@/existence.sh
6else 6else
7 . $dir/../../contrib/build-common/sh/lib.sh/existence.sh 7 . $dir/../../contrib/build-common/sh/lib.sh/existence.sh
8fi 8fi
diff --git a/src/arm/Makefile.am b/src/arm/Makefile.am
index 43e868805..8a738c5a9 100644
--- a/src/arm/Makefile.am
+++ b/src/arm/Makefile.am
@@ -88,15 +88,13 @@ test_gnunet_service_arm_SOURCES = \
88 libgnunetarm.la \ 88 libgnunetarm.la \
89 $(top_builddir)/src/util/libgnunetutil.la 89 $(top_builddir)/src/util/libgnunetutil.la
90 90
91do_subst = $(SED) -e 's,[@]PYTHON[@],$(PYTHON),g'
92
93SUFFIXES = .py.in .py 91SUFFIXES = .py.in .py
94.py.in.py: 92.py.in.py:
95 $(do_subst) < $(srcdir)/$< > $@ 93 $(AWK) -v bdir="$(bindir)" -v py="$(PYTHON)" -v awkay="$(AWK_BINARY)" -v pfx="$(prefix)" -v prl="$(PERL)" -v sysconfdirectory="$(sysconfdir)" -v pkgdatadirectory="$(pkgdatadir)" -f $(top_srcdir)/bin/dosubst.awk < $(srcdir)/$< > $@
96 chmod +x $@ 94 chmod +x $@
97 95
98test_gnunet_arm.py: test_gnunet_arm.py.in Makefile 96test_gnunet_arm.py: test_gnunet_arm.py.in Makefile
99 $(do_subst) < $(srcdir)/test_gnunet_arm.py.in > test_gnunet_arm.py 97 $(AWK) -v bdir="$(bindir)" -v py="$(PYTHON)" -v awkay="$(AWK_BINARY)" -v pfx="$(prefix)" -v prl="$(PERL)" -v sysconfdirectory="$(sysconfdir)" -v pkgdatadirectory="$(pkgdatadir)" -f $(top_srcdir)/bin/dosubst.awk < $(srcdir)/test_gnunet_arm.py.in > test_gnunet_arm.py
100 chmod +x test_gnunet_arm.py 98 chmod +x test_gnunet_arm.py
101 99
102EXTRA_DIST = \ 100EXTRA_DIST = \
diff --git a/src/arm/test_gnunet_arm.py.in b/src/arm/test_gnunet_arm.py.in
index 9605c4eae..e657d4a3f 100644
--- a/src/arm/test_gnunet_arm.py.in
+++ b/src/arm/test_gnunet_arm.py.in
@@ -1,4 +1,4 @@
1#!@PYTHON@ 1#!@PYTHONEXE@
2 2
3import os 3import os
4import sys 4import sys
diff --git a/src/consensus/Makefile.am b/src/consensus/Makefile.am
index 4ad224aa3..24e685fb9 100644
--- a/src/consensus/Makefile.am
+++ b/src/consensus/Makefile.am
@@ -23,12 +23,10 @@ libexec_PROGRAMS += \
23 gnunet-service-evil-consensus 23 gnunet-service-evil-consensus
24endif 24endif
25 25
26do_subst = $(SED) -e 's,[@]PYTHON[@],$(PYTHON),g'
27
28SUFFIXES = .py.in .py 26SUFFIXES = .py.in .py
29 27
30.py.in.py: 28.py.in.py:
31 $(do_subst) < $< > $@ 29 $(AWK) -v bdir="$(bindir)" -v py="$(PYTHON)" -v awkay="$(AWK_BINARY)" -v pfx="$(prefix)" -v prl="$(PERL)" -v sysconfdirectory="$(sysconfdir)" -v pkgdatadirectory="$(pkgdatadir)" -f $(top_srcdir)/bin/dosubst.awk < $< > $@
32 chmod +x $@ 30 chmod +x $@
33 31
34check-python-style: 32check-python-style:
diff --git a/src/consensus/consensus-simulation.py.in b/src/consensus/consensus-simulation.py.in
index c6b97e63f..272a52da2 100644
--- a/src/consensus/consensus-simulation.py.in
+++ b/src/consensus/consensus-simulation.py.in
@@ -1,4 +1,4 @@
1#!@PYTHON@ 1#!@PYTHONEXE@
2# This file is part of GNUnet 2# This file is part of GNUnet
3# (C) 2013, 2018 Christian Grothoff (and other contributing authors) 3# (C) 2013, 2018 Christian Grothoff (and other contributing authors)
4# 4#
diff --git a/src/dht/Makefile.am b/src/dht/Makefile.am
index bf73e8f19..2182d1c7f 100644
--- a/src/dht/Makefile.am
+++ b/src/dht/Makefile.am
@@ -220,13 +220,7 @@ check_SCRIPTS = \
220 test_dht_tools.py 220 test_dht_tools.py
221endif 221endif
222 222
223do_subst = $(SED) -e 's,[@]PYTHON[@],$(PYTHON),g' -e 's,[@]bindir[@],$(bindir),g'
224
225SUFFIXES = .py.in .py 223SUFFIXES = .py.in .py
226.py.in.py: 224.py.in.py:
227 $(do_subst) < $(srcdir)/$< > $@ 225 $(AWK) -v bdir="$(bindir)" -v py="$(PYTHON)" -v awkay="$(AWK_BINARY)" -v pfx="$(prefix)" -v prl="$(PERL)" -v sysconfdirectory="$(sysconfdir)" -v pkgdatadirectory="$(pkgdatadir)" -f $(top_srcdir)/bin/dosubst.awk < $(srcdir)/$< > $@
228 chmod +x $@ 226 chmod +x $@
229
230test_dht_tools.py: test_dht_tools.py.in Makefile
231 $(do_subst) < $(srcdir)/test_dht_tools.py.in > test_dht_tools.py
232 chmod +x test_dht_tools.py
diff --git a/src/dht/test_dht_tools.py.in b/src/dht/test_dht_tools.py.in
index c2f95e4b5..20739c45f 100644
--- a/src/dht/test_dht_tools.py.in
+++ b/src/dht/test_dht_tools.py.in
@@ -1,4 +1,4 @@
1#!@PYTHON@ 1#!@PYTHONEXE@
2# 2#
3# This testcase simply checks that the DHT command-line tools work. 3# This testcase simply checks that the DHT command-line tools work.
4# It launches a single peer, stores a value "testdata" under "testkey", 4# It launches a single peer, stores a value "testdata" under "testkey",
@@ -20,7 +20,7 @@ import subprocess
20import time 20import time
21import tempfile 21import tempfile
22 22
23os.environ["PATH"] = "@bindir@" + ":" + os.environ["PATH"] 23os.environ["PATH"] = "@bindirectory@" + ":" + os.environ["PATH"]
24 24
25if os.name == "nt": 25if os.name == "nt":
26 tmp = os.getenv("TEMP") 26 tmp = os.getenv("TEMP")
diff --git a/src/exit/Makefile.am b/src/exit/Makefile.am
index 811761ed0..c0323d0d6 100644
--- a/src/exit/Makefile.am
+++ b/src/exit/Makefile.am
@@ -17,12 +17,6 @@ dist_pkgcfg_DATA = \
17if LINUX 17if LINUX
18EXITBIN = gnunet-helper-exit 18EXITBIN = gnunet-helper-exit
19endif 19endif
20# For testing purposes:
21if HAVE_EXPERIMENTAL
22if XBSD
23EXITBIN = gnunet-helper-exit
24endif
25endif
26 20
27 21
28libexec_PROGRAMS = \ 22libexec_PROGRAMS = \
diff --git a/src/fs/Makefile.am b/src/fs/Makefile.am
index f0efefc4b..b1555be60 100644
--- a/src/fs/Makefile.am
+++ b/src/fs/Makefile.am
@@ -525,22 +525,20 @@ perf_gnunet_service_fs_p2p_respect_LDADD = \
525 $(top_builddir)/src/util/libgnunetutil.la 525 $(top_builddir)/src/util/libgnunetutil.la
526 526
527 527
528do_subst = $(SED) -e 's,[@]PYTHON[@],$(PYTHON),g'
529
530test_gnunet_fs_psd.py: test_gnunet_fs_psd.py.in Makefile 528test_gnunet_fs_psd.py: test_gnunet_fs_psd.py.in Makefile
531 $(do_subst) < $(srcdir)/test_gnunet_fs_psd.py.in > test_gnunet_fs_psd.py 529 $(AWK) -v bdir="$(bindir)" -v py="$(PYTHON)" -v awkay="$(AWK_BINARY)" -v pfx="$(prefix)" -v prl="$(PERL)" -v sysconfdirectory="$(sysconfdir)" -v pkgdatadirectory="$(pkgdatadir)" -f $(top_srcdir)/bin/dosubst.awk < $(srcdir)/test_gnunet_fs_psd.py.in > test_gnunet_fs_psd.py
532 chmod +x test_gnunet_fs_psd.py 530 chmod +x test_gnunet_fs_psd.py
533 531
534test_gnunet_fs_rec.py: test_gnunet_fs_rec.py.in Makefile 532test_gnunet_fs_rec.py: test_gnunet_fs_rec.py.in Makefile
535 $(do_subst) < $(srcdir)/test_gnunet_fs_rec.py.in > test_gnunet_fs_rec.py 533 $(AWK) -v bdir="$(bindir)" -v py="$(PYTHON)" -v awkay="$(AWK_BINARY)" -v pfx="$(prefix)" -v prl="$(PERL)" -v sysconfdirectory="$(sysconfdir)" -v pkgdatadirectory="$(pkgdatadir)" -f $(top_srcdir)/bin/dosubst.awk < $(srcdir)/test_gnunet_fs_rec.py.in > test_gnunet_fs_rec.py
536 chmod +x test_gnunet_fs_rec.py 534 chmod +x test_gnunet_fs_rec.py
537 535
538test_gnunet_fs_ns.py: test_gnunet_fs_ns.py.in Makefile 536test_gnunet_fs_ns.py: test_gnunet_fs_ns.py.in Makefile
539 $(do_subst) < $(srcdir)/test_gnunet_fs_ns.py.in > test_gnunet_fs_ns.py 537 $(AWK) -v bdir="$(bindir)" -v py="$(PYTHON)" -v awkay="$(AWK_BINARY)" -v pfx="$(prefix)" -v prl="$(PERL)" -v sysconfdirectory="$(sysconfdir)" -v pkgdatadirectory="$(pkgdatadir)" -f $(top_srcdir)/bin/dosubst.awk < $(srcdir)/test_gnunet_fs_ns.py.in > test_gnunet_fs_ns.py
540 chmod +x test_gnunet_fs_ns.py 538 chmod +x test_gnunet_fs_ns.py
541 539
542test_gnunet_fs_idx.py: test_gnunet_fs_idx.py.in Makefile 540test_gnunet_fs_idx.py: test_gnunet_fs_idx.py.in Makefile
543 $(do_subst) < $(srcdir)/test_gnunet_fs_idx.py.in > test_gnunet_fs_idx.py 541 $(AWK) -v bdir="$(bindir)" -v py="$(PYTHON)" -v awkay="$(AWK_BINARY)" -v pfx="$(prefix)" -v prl="$(PERL)" -v sysconfdirectory="$(sysconfdir)" -v pkgdatadirectory="$(pkgdatadir)" -f $(top_srcdir)/bin/dosubst.awk < $(srcdir)/test_gnunet_fs_idx.py.in > test_gnunet_fs_idx.py
544 chmod +x test_gnunet_fs_idx.py 542 chmod +x test_gnunet_fs_idx.py
545 543
546 544
diff --git a/src/fs/test_gnunet_fs_idx.py.in b/src/fs/test_gnunet_fs_idx.py.in
index 2c8c7e8ec..564dd68f2 100755
--- a/src/fs/test_gnunet_fs_idx.py.in
+++ b/src/fs/test_gnunet_fs_idx.py.in
@@ -1,4 +1,4 @@
1#!@PYTHON@ 1#!@PYTHONEXE@
2# This file is part of GNUnet. 2# This file is part of GNUnet.
3# (C) 2010 Christian Grothoff (and other contributing authors) 3# (C) 2010 Christian Grothoff (and other contributing authors)
4# 4#
diff --git a/src/fs/test_gnunet_fs_psd.py.in b/src/fs/test_gnunet_fs_psd.py.in
index abb3d0b83..a25e4eaef 100755
--- a/src/fs/test_gnunet_fs_psd.py.in
+++ b/src/fs/test_gnunet_fs_psd.py.in
@@ -1,4 +1,4 @@
1#!@PYTHON@ 1#!@PYTHONEXE@
2# This file is part of GNUnet. 2# This file is part of GNUnet.
3# (C) 2010, 2018 Christian Grothoff (and other contributing authors) 3# (C) 2010, 2018 Christian Grothoff (and other contributing authors)
4# 4#
diff --git a/src/fs/test_gnunet_fs_rec.py.in b/src/fs/test_gnunet_fs_rec.py.in
index f827aa3a5..f7e84e3da 100755
--- a/src/fs/test_gnunet_fs_rec.py.in
+++ b/src/fs/test_gnunet_fs_rec.py.in
@@ -1,4 +1,4 @@
1#!@PYTHON@ 1#!@PYTHONEXE@
2# This file is part of GNUnet. 2# This file is part of GNUnet.
3# (C) 2010 Christian Grothoff (and other contributing authors) 3# (C) 2010 Christian Grothoff (and other contributing authors)
4# 4#
diff --git a/src/gns/Makefile.am b/src/gns/Makefile.am
index 9f0e0bbb6..abd5d5b48 100644
--- a/src/gns/Makefile.am
+++ b/src/gns/Makefile.am
@@ -103,17 +103,12 @@ plugin_LTLIBRARIES = \
103bin_SCRIPTS = \ 103bin_SCRIPTS = \
104 gnunet-gns-proxy-setup-ca 104 gnunet-gns-proxy-setup-ca
105 105
106# See: https://www.gnu.org/software/automake/manual/html_node/Scripts.html#Scripts
107do_subst = $(SED) -e 's,[@]pkgdatadir[@],$(pkgdatadir),g'
108
109gnunet-gns-proxy-setup-ca: gnunet-gns-proxy-setup-ca.in Makefile 106gnunet-gns-proxy-setup-ca: gnunet-gns-proxy-setup-ca.in Makefile
110 $(do_subst) < $(srcdir)/gnunet-gns-proxy-setup-ca.in > gnunet-gns-proxy-setup-ca 107 $(AWK) -v bdir="$(bindir)" -v py="$(PYTHON)" -v awkay="$(AWK_BINARY)" -v pfx="$(prefix)" -v prl="$(PERL)" -v sysconfdirectory="$(sysconfdir)" -v pkgdatadirectory="$(pkgdatadir)" -f $(top_srcdir)/bin/dosubst.awk < $(srcdir)/gnunet-gns-proxy-setup-ca.in > gnunet-gns-proxy-setup-ca
111 @chmod +x gnunet-gns-proxy-setup-ca 108 @chmod +x gnunet-gns-proxy-setup-ca
112 109
113do_subst_pkgdatadir = $(SED) -e 's,[@]pkgdatadir[@],$(pkgdatadir),g'
114
115test_gnunet_gns.sh: test_gnunet_gns.sh.in Makefile 110test_gnunet_gns.sh: test_gnunet_gns.sh.in Makefile
116 $(do_subst_pkgdatadir) < $(srcdir)/test_gnunet_gns.sh.in > test_gnunet_gns.sh 111 $(AWK) -v bdir="$(bindir)" -v py="$(PYTHON)" -v awkay="$(AWK_BINARY)" -v pfx="$(prefix)" -v prl="$(PERL)" -v sysconfdirectory="$(sysconfdir)" -v pkgdatadirectory="$(pkgdatadir)" -f $(top_srcdir)/bin/dosubst.awk < $(srcdir)/test_gnunet_gns.sh.in > test_gnunet_gns.sh
117 @chmod +x test_gnunet_gns.sh 112 @chmod +x test_gnunet_gns.sh
118 113
119CLEANFILES = test_gnunet_gns.sh 114CLEANFILES = test_gnunet_gns.sh
diff --git a/src/gns/gnunet-gns-proxy-setup-ca.in b/src/gns/gnunet-gns-proxy-setup-ca.in
index 7a79c7994..602aadb2a 100644
--- a/src/gns/gnunet-gns-proxy-setup-ca.in
+++ b/src/gns/gnunet-gns-proxy-setup-ca.in
@@ -48,30 +48,30 @@
48 48
49dir=$(dirname "$0") 49dir=$(dirname "$0")
50 50
51if test -e @pkgdatadir@/progname.sh 51if test -e @PKGDATADIRECTORY@/progname.sh
52then 52then
53 . @pkgdatadir@/progname.sh 53 . @PKGDATADIRECTORY@/progname.sh
54else 54else
55 . $dir/../../contrib/build-common/sh/lib.sh/progname.sh 55 . $dir/../../contrib/build-common/sh/lib.sh/progname.sh
56fi 56fi
57 57
58if test -e @pkgdatadir@/existence.sh 58if test -e @PKGDATADIRECTORY@/existence.sh
59then 59then
60 . @pkgdatadir@/existence.sh 60 . @PKGDATADIRECTORY@/existence.sh
61else 61else
62 . $dir/../../contrib/build-common/sh/lib.sh/existence.sh 62 . $dir/../../contrib/build-common/sh/lib.sh/existence.sh
63fi 63fi
64 64
65if test -e @pkgdatadir@/msg.sh 65if test -e @PKGDATADIRECTORY@/msg.sh
66then 66then
67 . @pkgdatadir@/msg.sh 67 . @PKGDATADIRECTORY@/msg.sh
68else 68else
69 . $dir/../../contrib/build-common/sh/lib.sh/msg.sh 69 . $dir/../../contrib/build-common/sh/lib.sh/msg.sh
70fi 70fi
71 71
72if test -e @pkgdatadir@/version_gnunet.sh 72if test -e @PKGDATADIRECTORY@/version_gnunet.sh
73then 73then
74 . @pkgdatadir@/version_gnunet.sh 74 . @PKGDATADIRECTORY@/version_gnunet.sh
75else 75else
76 . $dir/../../contrib/build-common/sh/lib.sh/version_gnunet.sh 76 . $dir/../../contrib/build-common/sh/lib.sh/version_gnunet.sh
77fi 77fi
@@ -143,8 +143,8 @@ generate_ca()
143 143
144 # ------------- openssl 144 # ------------- openssl
145 145
146 GNUTLS_CA_TEMPLATE=@pkgdatadir@/gnunet-gns-proxy-ca.template 146 GNUTLS_CA_TEMPLATE=@PKGDATADIRECTORY@/gnunet-gns-proxy-ca.template
147 OPENSSLCFG=@pkgdatadir@/openssl.cnf 147 OPENSSLCFG=@PKGDATADIRECTORY@/openssl.cnf
148 CERTTOOL="" 148 CERTTOOL=""
149 OPENSSL=0 149 OPENSSL=0
150 if test -x $(existence gnunet-certtool) 150 if test -x $(existence gnunet-certtool)
diff --git a/src/gns/gnunet-gns.c b/src/gns/gnunet-gns.c
index fe51013ed..600a9c9a5 100644
--- a/src/gns/gnunet-gns.c
+++ b/src/gns/gnunet-gns.c
@@ -229,7 +229,6 @@ run (void *cls,
229 (void) cls; 229 (void) cls;
230 (void) args; 230 (void) args;
231 (void) cfgfile; 231 (void) cfgfile;
232 Idna_rc rc;
233 232
234 cfg = c; 233 cfg = c;
235 to_task = NULL; 234 to_task = NULL;
@@ -239,12 +238,15 @@ run (void *cls,
239 if (NULL != (colon = strchr (lookup_name, ':'))) 238 if (NULL != (colon = strchr (lookup_name, ':')))
240 *colon = '\0'; 239 *colon = '\0';
241 } 240 }
241#ifdef LSD001
242 Idna_rc rc;
242 /** 243 /**
243 * If DNS compatibility is requested, we first verify that the 244 * If DNS compatibility is requested, we first verify that the
244 * lookup_name is in a DNS format. If yes, we convert it to UTF-8. 245 * lookup_name is in a DNS format. If yes, we convert it to UTF-8.
245 */ 246 */
246 if (GNUNET_YES == dns_compat) 247 if (GNUNET_YES == dns_compat)
247 { 248 {
249#endif
248 if (GNUNET_OK != GNUNET_DNSPARSER_check_name (lookup_name)) 250 if (GNUNET_OK != GNUNET_DNSPARSER_check_name (lookup_name))
249 { 251 {
250 fprintf (stderr, 252 fprintf (stderr,
@@ -253,6 +255,7 @@ run (void *cls,
253 global_ret = 3; 255 global_ret = 3;
254 return; 256 return;
255 } 257 }
258#ifdef LSD001
256 if (IDNA_SUCCESS != 259 if (IDNA_SUCCESS !=
257 (rc = idna_to_unicode_8z8z (lookup_name, &idna_name, 260 (rc = idna_to_unicode_8z8z (lookup_name, &idna_name,
258 IDNA_ALLOW_UNASSIGNED))) 261 IDNA_ALLOW_UNASSIGNED)))
@@ -261,11 +264,12 @@ run (void *cls,
261 _ ("Failed to convert DNS IDNA name `%s' to UTF-8: %s\n"), 264 _ ("Failed to convert DNS IDNA name `%s' to UTF-8: %s\n"),
262 lookup_name, 265 lookup_name,
263 idna_strerror (rc)); 266 idna_strerror (rc));
264 global_ret = 3; 267 global_ret = 4;
265 return; 268 return;
266 } 269 }
267 lookup_name = idna_name; 270 lookup_name = idna_name;
268 } 271 }
272#endif
269 if (GNUNET_YES != 273 if (GNUNET_YES !=
270 GNUNET_CLIENT_test (cfg, 274 GNUNET_CLIENT_test (cfg,
271 "arm")) 275 "arm"))
diff --git a/src/gns/test_gnunet_gns.sh.in b/src/gns/test_gnunet_gns.sh.in
index 66bed0516..8cdd062c7 100755
--- a/src/gns/test_gnunet_gns.sh.in
+++ b/src/gns/test_gnunet_gns.sh.in
@@ -8,9 +8,9 @@
8# but this works for now. 8# but this works for now.
9dir=$(dirname "$0") 9dir=$(dirname "$0")
10 10
11if test -e @pkgdatadir@/existence.sh 11if test -e @PKGDATADIRECTORY@/existence.sh
12then 12then
13 . @pkgdatadir@/existence.sh 13 . @PKGDATADIRECTORY@/existence.sh
14else 14else
15 . $dir/../../contrib/build-common/sh/lib.sh/existence.sh 15 . $dir/../../contrib/build-common/sh/lib.sh/existence.sh
16fi 16fi
@@ -22,7 +22,7 @@ fi
22$LOCATION --version 22$LOCATION --version
23if test $? != 0 23if test $? != 0
24then 24then
25 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX" 25 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
26 exit 77 26 exit 77
27fi 27fi
28 28
diff --git a/src/integration-tests/Makefile.am b/src/integration-tests/Makefile.am
index 8b50def4d..f456544db 100644
--- a/src/integration-tests/Makefile.am
+++ b/src/integration-tests/Makefile.am
@@ -36,43 +36,41 @@ endif
36endif 36endif
37endif 37endif
38 38
39do_subst = $(SED) -e 's,[@]PYTHON[@],$(PYTHON),g'
40
41SUFFIXES = .py.in .py 39SUFFIXES = .py.in .py
42.py.in.py: 40.py.in.py:
43 $(do_subst) < $(srcdir)/$< > $@ 41 $(AWK) -v bdir="$(bindir)" -v py="$(PYTHON)" -v awkay="$(AWK_BINARY)" -v pfx="$(prefix)" -v prl="$(PERL)" -v sysconfdirectory="$(sysconfdir)" -v pkgdatadirectory="$(pkgdatadir)" -f $(top_srcdir)/bin/dosubst.awk < $(srcdir)/$< > $@
44 chmod +x $@ 42 chmod +x $@
45 43
46gnunet_testing.py: gnunet_testing.py.in Makefile 44gnunet_testing.py: gnunet_testing.py.in Makefile
47 $(do_subst) < $(srcdir)/gnunet_testing.py.in > gnunet_testing.py 45 $(AWK) -v bdir="$(bindir)" -v py="$(PYTHON)" -v awkay="$(AWK_BINARY)" -v pfx="$(prefix)" -v prl="$(PERL)" -v sysconfdirectory="$(sysconfdir)" -v pkgdatadirectory="$(pkgdatadir)" -f $(top_srcdir)/bin/dosubst.awk < $(srcdir)/gnunet_testing.py.in > gnunet_testing.py
48 chmod +x gnunet_testing.py 46 chmod +x gnunet_testing.py
49 47
50gnunet_pyexpect.py: gnunet_pyexpect.py.in Makefile 48gnunet_pyexpect.py: gnunet_pyexpect.py.in Makefile
51 $(do_subst) < $(srcdir)/gnunet_pyexpect.py.in > gnunet_pyexpect.py 49 $(AWK) -v bdir="$(bindir)" -v py="$(PYTHON)" -v awkay="$(AWK_BINARY)" -v pfx="$(prefix)" -v prl="$(PERL)" -v sysconfdirectory="$(sysconfdir)" -v pkgdatadirectory="$(pkgdatadir)" -f $(top_srcdir)/bin/dosubst.awk < $(srcdir)/gnunet_pyexpect.py.in > gnunet_pyexpect.py
52 chmod +x gnunet_pyexpect.py 50 chmod +x gnunet_pyexpect.py
53 51
54test_integration_bootstrap_and_connect.py: test_integration_bootstrap_and_connect.py.in Makefile 52test_integration_bootstrap_and_connect.py: test_integration_bootstrap_and_connect.py.in Makefile
55 $(do_subst) < $(srcdir)/test_integration_bootstrap_and_connect.py.in > test_integration_bootstrap_and_connect.py 53 $(AWK) -v bdir="$(bindir)" -v py="$(PYTHON)" -v awkay="$(AWK_BINARY)" -v pfx="$(prefix)" -v prl="$(PERL)" -v sysconfdirectory="$(sysconfdir)" -v pkgdatadirectory="$(pkgdatadir)" -f $(top_srcdir)/bin/dosubst.awk < $(srcdir)/test_integration_bootstrap_and_connect.py.in > test_integration_bootstrap_and_connect.py
56 chmod +x test_integration_bootstrap_and_connect.py 54 chmod +x test_integration_bootstrap_and_connect.py
57 55
58test_integration_disconnect.py: test_integration_disconnect.py.in Makefile 56test_integration_disconnect.py: test_integration_disconnect.py.in Makefile
59 $(do_subst) < $(srcdir)/test_integration_disconnect.py.in > test_integration_disconnect.py 57 $(AWK) -v bdir="$(bindir)" -v py="$(PYTHON)" -v awkay="$(AWK_BINARY)" -v pfx="$(prefix)" -v prl="$(PERL)" -v sysconfdirectory="$(sysconfdir)" -v pkgdatadirectory="$(pkgdatadir)" -f $(top_srcdir)/bin/dosubst.awk < $(srcdir)/test_integration_disconnect.py.in > test_integration_disconnect.py
60 chmod +x test_integration_disconnect.py 58 chmod +x test_integration_disconnect.py
61 59
62test_integration_disconnect_nat.py: test_integration_disconnect_nat.py.in Makefile 60test_integration_disconnect_nat.py: test_integration_disconnect_nat.py.in Makefile
63 $(do_subst) < $(srcdir)/test_integration_disconnect_nat.py.in > test_integration_disconnect_nat.py 61 $(AWK) -v bdir="$(bindir)" -v py="$(PYTHON)" -v awkay="$(AWK_BINARY)" -v pfx="$(prefix)" -v prl="$(PERL)" -v sysconfdirectory="$(sysconfdir)" -v pkgdatadirectory="$(pkgdatadir)" -f $(top_srcdir)/bin/dosubst.awk < $(srcdir)/test_integration_disconnect_nat.py.in > test_integration_disconnect_nat.py
64 chmod +x test_integration_disconnect_nat.py 62 chmod +x test_integration_disconnect_nat.py
65 63
66test_integration_reconnect.py: test_integration_reconnect.py.in Makefile 64test_integration_reconnect.py: test_integration_reconnect.py.in Makefile
67 $(do_subst) < $(srcdir)/test_integration_reconnect.py.in > test_integration_reconnect.py 65 $(AWK) -v bdir="$(bindir)" -v py="$(PYTHON)" -v awkay="$(AWK_BINARY)" -v pfx="$(prefix)" -v prl="$(PERL)" -v sysconfdirectory="$(sysconfdir)" -v pkgdatadirectory="$(pkgdatadir)" -f $(top_srcdir)/bin/dosubst.awk < $(srcdir)/test_integration_reconnect.py.in > test_integration_reconnect.py
68 chmod +x test_integration_reconnect.py 66 chmod +x test_integration_reconnect.py
69 67
70test_integration_reconnect_nat.py: test_integration_reconnect_nat.py.in Makefile 68test_integration_reconnect_nat.py: test_integration_reconnect_nat.py.in Makefile
71 $(do_subst) < $(srcdir)/test_integration_reconnect_nat.py.in > test_integration_reconnect_nat.py 69 $(AWK) -v bdir="$(bindir)" -v py="$(PYTHON)" -v awkay="$(AWK_BINARY)" -v pfx="$(prefix)" -v prl="$(PERL)" -v sysconfdirectory="$(sysconfdir)" -v pkgdatadirectory="$(pkgdatadir)" -f $(top_srcdir)/bin/dosubst.awk < $(srcdir)/test_integration_reconnect_nat.py.in > test_integration_reconnect_nat.py
72 chmod +x test_integration_reconnect_nat.py 70 chmod +x test_integration_reconnect_nat.py
73 71
74test_integration_clique.py: test_integration_clique.py.in Makefile 72test_integration_clique.py: test_integration_clique.py.in Makefile
75 $(do_subst) < $(srcdir)/test_integration_clique.py.in > test_integration_clique.py 73 $(AWK) -v bdir="$(bindir)" -v py="$(PYTHON)" -v awkay="$(AWK_BINARY)" -v pfx="$(prefix)" -v prl="$(PERL)" -v sysconfdirectory="$(sysconfdir)" -v pkgdatadirectory="$(pkgdatadir)" -f $(top_srcdir)/bin/dosubst.awk < $(srcdir)/test_integration_clique.py.in > test_integration_clique.py
76 chmod +x test_integration_clique.py 74 chmod +x test_integration_clique.py
77 75
78 76
diff --git a/src/integration-tests/gnunet_pyexpect.py.in b/src/integration-tests/gnunet_pyexpect.py.in
index aad84e4f7..b8ce52f00 100644
--- a/src/integration-tests/gnunet_pyexpect.py.in
+++ b/src/integration-tests/gnunet_pyexpect.py.in
@@ -1,4 +1,4 @@
1#!@PYTHON@ 1#!@PYTHONEXE@
2# This file is part of GNUnet. 2# This file is part of GNUnet.
3# (C) 2010 Christian Grothoff (and other contributing authors) 3# (C) 2010 Christian Grothoff (and other contributing authors)
4# 4#
diff --git a/src/integration-tests/gnunet_testing.py.in b/src/integration-tests/gnunet_testing.py.in
index 10f9d4475..828f6ff42 100644
--- a/src/integration-tests/gnunet_testing.py.in
+++ b/src/integration-tests/gnunet_testing.py.in
@@ -1,4 +1,4 @@
1#!@PYTHON@ 1#!@PYTHONEXE@
2# This file is part of GNUnet. 2# This file is part of GNUnet.
3# (C) 2010, 2017, 2018 Christian Grothoff (and other contributing authors) 3# (C) 2010, 2017, 2018 Christian Grothoff (and other contributing authors)
4# 4#
diff --git a/src/integration-tests/test_integration_bootstrap_and_connect.py.in b/src/integration-tests/test_integration_bootstrap_and_connect.py.in
index ddac326cd..441523dfe 100755
--- a/src/integration-tests/test_integration_bootstrap_and_connect.py.in
+++ b/src/integration-tests/test_integration_bootstrap_and_connect.py.in
@@ -1,4 +1,4 @@
1#!@PYTHON@ 1#!@PYTHONEXE@
2# This file is part of GNUnet. 2# This file is part of GNUnet.
3# (C) 2010, 2018 Christian Grothoff (and other contributing authors) 3# (C) 2010, 2018 Christian Grothoff (and other contributing authors)
4# 4#
diff --git a/src/integration-tests/test_integration_clique.py.in b/src/integration-tests/test_integration_clique.py.in
index a23c025ca..65df632f0 100755
--- a/src/integration-tests/test_integration_clique.py.in
+++ b/src/integration-tests/test_integration_clique.py.in
@@ -1,4 +1,4 @@
1#!@PYTHON@ 1#!@PYTHONEXE@
2# This file is part of GNUnet. 2# This file is part of GNUnet.
3# (C) 2010, 2018 Christian Grothoff (and other contributing authors) 3# (C) 2010, 2018 Christian Grothoff (and other contributing authors)
4# 4#
diff --git a/src/integration-tests/test_integration_disconnect.py.in b/src/integration-tests/test_integration_disconnect.py.in
index 9861728c2..c942042c4 100755
--- a/src/integration-tests/test_integration_disconnect.py.in
+++ b/src/integration-tests/test_integration_disconnect.py.in
@@ -1,4 +1,4 @@
1#!@PYTHON@ 1#!@PYTHONEXE@
2# This file is part of GNUnet. 2# This file is part of GNUnet.
3# (C) 2010, 2017 Christian Grothoff (and other contributing authors) 3# (C) 2010, 2017 Christian Grothoff (and other contributing authors)
4# 4#
diff --git a/src/integration-tests/test_integration_disconnect_nat.py.in b/src/integration-tests/test_integration_disconnect_nat.py.in
index d3ff84ebe..2f10818cc 100755
--- a/src/integration-tests/test_integration_disconnect_nat.py.in
+++ b/src/integration-tests/test_integration_disconnect_nat.py.in
@@ -1,4 +1,4 @@
1#!@PYTHON@ 1#!@PYTHONEXE@
2# This file is part of GNUnet. 2# This file is part of GNUnet.
3# (C) 2010, 2018 Christian Grothoff (and other contributing authors) 3# (C) 2010, 2018 Christian Grothoff (and other contributing authors)
4# 4#
diff --git a/src/integration-tests/test_integration_reconnect.py.in b/src/integration-tests/test_integration_reconnect.py.in
index 5bffb72e3..97dc94502 100755
--- a/src/integration-tests/test_integration_reconnect.py.in
+++ b/src/integration-tests/test_integration_reconnect.py.in
@@ -1,4 +1,4 @@
1#!@PYTHON@ 1#!@PYTHONEXE@
2# This file is part of GNUnet. 2# This file is part of GNUnet.
3# (C) 2010, 2017 Christian Grothoff (and other contributing authors) 3# (C) 2010, 2017 Christian Grothoff (and other contributing authors)
4# 4#
diff --git a/src/integration-tests/test_integration_reconnect_nat.py.in b/src/integration-tests/test_integration_reconnect_nat.py.in
index 751a0484b..7624e7b38 100755
--- a/src/integration-tests/test_integration_reconnect_nat.py.in
+++ b/src/integration-tests/test_integration_reconnect_nat.py.in
@@ -1,4 +1,4 @@
1#!@PYTHON@ 1#!@PYTHONEXE@
2# This file is part of GNUnet. 2# This file is part of GNUnet.
3# (C) 2010, 2018 Christian Grothoff (and other contributing authors) 3# (C) 2010, 2018 Christian Grothoff (and other contributing authors)
4# 4#
diff --git a/src/peerinfo-tool/Makefile.am b/src/peerinfo-tool/Makefile.am
index 8a2efba63..05173d551 100644
--- a/src/peerinfo-tool/Makefile.am
+++ b/src/peerinfo-tool/Makefile.am
@@ -56,10 +56,8 @@ AM_TESTS_ENVIRONMENT=export GNUNET_PREFIX=$${GNUNET_PREFIX:-@libdir@};export PAT
56TESTS = $(check_SCRIPTS) 56TESTS = $(check_SCRIPTS)
57endif 57endif
58 58
59do_subst = $(SED) -e 's,[@]PYTHON[@],$(PYTHON),g'
60
61test_gnunet_peerinfo.py: test_gnunet_peerinfo.py.in Makefile 59test_gnunet_peerinfo.py: test_gnunet_peerinfo.py.in Makefile
62 $(do_subst) < $(srcdir)/test_gnunet_peerinfo.py.in > test_gnunet_peerinfo.py 60 $(AWK) -v bdir="$(bindir)" -v py="$(PYTHON)" -v awkay="$(AWK_BINARY)" -v pfx="$(prefix)" -v prl="$(PERL)" -v sysconfdirectory="$(sysconfdir)" -v pkgdatadirectory="$(pkgdatadir)" -f $(top_srcdir)/bin/dosubst.awk < $(srcdir)/test_gnunet_peerinfo.py.in > test_gnunet_peerinfo.py
63 chmod +x test_gnunet_peerinfo.py 61 chmod +x test_gnunet_peerinfo.py
64 62
65EXTRA_DIST = \ 63EXTRA_DIST = \
diff --git a/src/peerinfo-tool/test_gnunet_peerinfo.py.in b/src/peerinfo-tool/test_gnunet_peerinfo.py.in
index 5d9daa930..9a87d3649 100755
--- a/src/peerinfo-tool/test_gnunet_peerinfo.py.in
+++ b/src/peerinfo-tool/test_gnunet_peerinfo.py.in
@@ -1,4 +1,4 @@
1#!@PYTHON@ 1#!@PYTHONEXE@
2# This file is part of GNUnet. 2# This file is part of GNUnet.
3# (C) 2010, 2018 Christian Grothoff (and other contributing authors) 3# (C) 2010, 2018 Christian Grothoff (and other contributing authors)
4# 4#
diff --git a/src/revocation/Makefile.am b/src/revocation/Makefile.am
index 5e48fb29f..b3b2877ca 100644
--- a/src/revocation/Makefile.am
+++ b/src/revocation/Makefile.am
@@ -90,10 +90,8 @@ if ENABLE_TEST_RUN
90 $(check_PROGRAMS) 90 $(check_PROGRAMS)
91endif 91endif
92 92
93do_subst = $(SED) -e 's,[@]PYTHON[@],$(PYTHON),g'
94
95test_local_revocation.py: test_local_revocation.py.in Makefile 93test_local_revocation.py: test_local_revocation.py.in Makefile
96 $(do_subst) < $(srcdir)/test_local_revocation.py.in > test_local_revocation.py 94 $(AWK) -v bdir="$(bindir)" -v py="$(PYTHON)" -v awkay="$(AWK_BINARY)" -v pfx="$(prefix)" -v prl="$(PERL)" -v sysconfdirectory="$(sysconfdir)" -v pkgdatadirectory="$(pkgdatadir)" -f $(top_srcdir)/bin/dosubst.awk < $(srcdir)/test_local_revocation.py.in > test_local_revocation.py
97 chmod +x test_local_revocation.py 95 chmod +x test_local_revocation.py
98 96
99EXTRA_DIST = test_revocation.conf \ 97EXTRA_DIST = test_revocation.conf \
diff --git a/src/revocation/test_local_revocation.py.in b/src/revocation/test_local_revocation.py.in
index d73d0a869..e667c10ce 100644
--- a/src/revocation/test_local_revocation.py.in
+++ b/src/revocation/test_local_revocation.py.in
@@ -1,4 +1,4 @@
1#!@PYTHON@ 1#!@PYTHONEXE@
2# This file is part of GNUnet. 2# This file is part of GNUnet.
3# (C) 2010, 2018 Christian Grothoff (and other contributing authors) 3# (C) 2010, 2018 Christian Grothoff (and other contributing authors)
4# 4#
diff --git a/src/statistics/Makefile.am b/src/statistics/Makefile.am
index 6d69d58d8..52f382156 100644
--- a/src/statistics/Makefile.am
+++ b/src/statistics/Makefile.am
@@ -84,15 +84,13 @@ check_SCRIPTS = \
84 test_gnunet_statistics.py 84 test_gnunet_statistics.py
85endif 85endif
86 86
87do_subst = $(SED) -e 's,[@]PYTHON[@],$(PYTHON),g'
88
89SUFFIXES = .py.in .py 87SUFFIXES = .py.in .py
90.py.in.py: 88.py.in.py:
91 $(do_subst) < $(srcdir)/$< > $@ 89 $(AWK) -v bdir="$(bindir)" -v py="$(PYTHON)" -v awkay="$(AWK_BINARY)" -v pfx="$(prefix)" -v prl="$(PERL)" -v sysconfdirectory="$(sysconfdir)" -v pkgdatadirectory="$(pkgdatadir)" -f $(top_srcdir)/bin/dosubst.awk < $(srcdir)/$< > $@
92 chmod +x $@ 90 chmod +x $@
93 91
94test_gnunet_statistics.py: test_gnunet_statistics.py.in Makefile 92test_gnunet_statistics.py: test_gnunet_statistics.py.in Makefile
95 $(do_subst) < $(srcdir)/test_gnunet_statistics.py.in > test_gnunet_statistics.py 93 $(AWK) -v bdir="$(bindir)" -v py="$(PYTHON)" -v awkay="$(AWK_BINARY)" -v pfx="$(prefix)" -v prl="$(PERL)" -v sysconfdirectory="$(sysconfdir)" -v pkgdatadirectory="$(pkgdatadir)" -f $(top_srcdir)/bin/dosubst.awk < $(srcdir)/test_gnunet_statistics.py.in > test_gnunet_statistics.py
96 chmod +x test_gnunet_statistics.py 94 chmod +x test_gnunet_statistics.py
97 95
98EXTRA_DIST = \ 96EXTRA_DIST = \
diff --git a/src/statistics/test_gnunet_statistics.py.in b/src/statistics/test_gnunet_statistics.py.in
index 3a13c24f3..ce277b13e 100644
--- a/src/statistics/test_gnunet_statistics.py.in
+++ b/src/statistics/test_gnunet_statistics.py.in
@@ -1,4 +1,4 @@
1#!@PYTHON@ 1#!@PYTHONEXE@
2 2
3import os 3import os
4import sys 4import sys
diff --git a/src/transport/gnunet-transport-certificate-creation.in b/src/transport/gnunet-transport-certificate-creation.in
index 1c04089a4..8348dd1b7 100644
--- a/src/transport/gnunet-transport-certificate-creation.in
+++ b/src/transport/gnunet-transport-certificate-creation.in
@@ -101,9 +101,9 @@ generate_cert_key()
101{ 101{
102 echo "" 102 echo ""
103 infomsg "Generating Cert and Key" 103 infomsg "Generating Cert and Key"
104 104
105 CERTTOOL="" 105 CERTTOOL=""
106 GNUTLS_CA_TEMPLATE=@pkgdatadir@/gnunet-gns-proxy-ca.template 106 GNUTLS_CA_TEMPLATE=@PKGDATADIRECTORY@/gnunet-gns-proxy-ca.template
107 OPENSSL=0 107 OPENSSL=0
108 if test -z "`gnutls-certtool --version`" > /dev/null 108 if test -z "`gnutls-certtool --version`" > /dev/null
109 then 109 then